Subject: Re: bug#57786: 28.1; run-python fails when using tramp-sshfs

From: Michael Albinus <[email-masked]>
Date: Wed, 14 Sep 2022 13:39:34 +0200

Spencer Baugh <[email-masked]> writes:

Hi Spencer,

>>> 1. Open a remote Python file with /sshfs:hostname:/path/to/file.py
>>> 2. Hit C-c C-p (run-python) to start a Python REPL
>>> 3. Observe a failure with the message:
>>> tramp-send-string: Process *tramp/sshfs earth* not running
>>
>> I can reproduce it with Emacs 28.1, 28.2 and 29.0.50.
>>
>> However, it seems that this isn't supported by python.el. It uses
>> internal Tramp functions from tramp-sh.el, so it is unlikely it will run
>> over an sshfs connection.
>>
>> Perhaps an error message from python.el is needed, saying "Remote
>> connection `sshfs' isn't supported for processes". or alike.
>
> Seems like a bug in python.el then; the sshfs TRAMP method has better
> performance than the ssh method, so it would be nice to be able to use
> it when editing Python files...

Perhaps. I'm adding Fabián and Augusto to Cc.

Note that there were discsussions in the emacs-devel ML to "normalize"
the Tramp use in Python. This is mainly stalled, because I have no real
insight what Python needs.

Best regards, Michael.